Subject: Need a sample BITPIX=32,-32,-64 File

From: abs9d at galen.med.Virginia.EDU (Amy B. Sprenkle)
Date: Tue, 17 Jan 1995 00:48:00 GMT

Hi,

	I am an amateur astronomer who has written a FITS image
viewer for windows3.1.  So far, everything is works great for
BITPIX = 8 or 16, but
I am having a hard time finding some sample images that are in
32 bit integer, 32 bit float or 64 bit float to test my
viewer.  If anyone has some sample files available by ftp,
please let me know.  I have downloaded a few samples from the
HST archive, but they are all BITPIX = 16 and you cant find
search the archive for a particular format.  If you know a
particular image at the archive site (i.e.Dataset = W0cd0101t),
this would be helpful as well.

	Thanks,  Amy

---

From: dwells at nrao.edu (Don Wells)
Date: 17 Jan 1995 05:28:09 GMT

In article <D2Iy80.4KG at murdoch.acc.Virginia.EDU>
    abs9d at galen.med.Virginia.EDU (Amy B. Sprenkle) writes:
".. [want] sample images.. 32 bit integer, 32 bit float.. 64 bit float.."

Try these test files:

    ftp://fits.cv.nrao.edu/fits/data/tests/pg93/tst000[3-8].fits

These are ramps and waves in the three data types which you want to
test.  In addition, file 13 is 32-bit FP. I suggest that you also try
your code on the oldest (09/13/79) 32-bit integer FITS file:

    ftp://fits.cv.nrao.edu/fits/data/tests/incunabula/m87-32.fits
--
  Donald C. Wells         Associate Scientist         dwells at nrao.edu
                    http://fits.cv.nrao.edu/~dwells
  National Radio Astronomy Observatory                +1-804-296-0277
  520 Edgemont Road,   Charlottesville, Virginia       22903-2475 USA

---

From: adam at csi.jpl.nasa.gov (Adam Bernstein)
Date: 17 Jan 1995 05:47:05 GMT

In article <D2Iy80.4KG at murdoch.acc.Virginia.EDU>, abs9d at galen.med.Virginia.EDU (Amy B. Sprenkle) writes:
|> Hi,
|> 
|> 	I am an amateur astronomer who has written a FITS image
|> viewer for windows3.1.  So far, everything is works great for
|> BITPIX = 8 or 16, but
|> I am having a hard time finding some sample images that are in
|> 32 bit integer, 32 bit float or 64 bit float to test my
|> viewer.  If anyone has some sample files available by ftp,

	Why not make your own?  Write a little program to read in one
of the images you do have in its native format, copy the data array to
another array of type long int, float, or double, and write the image
data back out from the new array.  You'll have to change the relevant
values in the header, but other than that, it seems straightforward.

|> please let me know.  I have downloaded a few samples from the
|> HST archive, but they are all BITPIX = 16 and you cant find
|> search the archive for a particular format.  If you know a
|> particular image at the archive site (i.e.Dataset = W0cd0101t),
|> this would be helpful as well.

	Don't know about that -- I doubt you're going to find images
stored in long formats when the CCD that's generating them is limited
to a 16 bit range.

|> 
|> 	Thanks,  Amy

		Adam

-- 
------------------------------------------------------------------------
Adam Bernstein               Phone: 818 354-9784    Jet Propulsion Lab
Guidance & Control /         FAX:   818 393-6105    MS 198-235
  Optical Tracking Group                            4800 Oak Grove Dr.
adam at dragon.jpl.nasa.gov                            Pasadena, CA 91109
------------------------------------------------------------------------